# Awesome Mastodon [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

> Curated list of Mastodon-related stuff!

## Table of content

* [Official](#official)
* [Documentation](#documentation)
* [Clients](#clients)
* [Tools](#tools)
* [User styles](#user-styles)
* [User scripts](#user-scripts)
* [Bots](#bots)
* [News & magazines bots](#news--magazines-bots)
* [Associations](#associatons)
* [Blogs](#blogs)
* [Librairies](#librairies)

## Official

* [Website](https://joinmastodon.org)
* [GitHub repository](https://github.com/tootsuite/mastodon)
* [FAQ](https://github.com/tootsuite/documentation/blob/master/Using-Mastodon/FAQ.md)

## Documentation

* [What I wish I knew before joining Mastodon](https://hackernoon.com/what-i-wish-i-knew-before-joining-mastodon-7a17e7f12a2b) - An introduction to Mastodon.
* [Mastodon tutorial](http://cassolotl.tumblr.com/post/161825902540) - A quick Mastodon tutorial.
* [Wiki](https://en.mstdn.wiki/Main_Page) - The Mastodon Community Wiki.
* [API overview](https://github.com/tootsuite/documentation/blob/master/Using-the-API/API.md)

## Clients

* [Tusky](https://play.google.com/store/apps/details?id=com.keylesspalace.tusky) - An Android client.
* [TootyFruity](https://play.google.com/store/apps/details?id=ch.kevinegli.tootyfruity221258) - An Android app for Mastodon.
* [Twidere](https://f-droid.org/packages/org.mariotaku.twidere/) - An Android app for Twitter, GNU Social and Mastodon.
* [Tooty](https://github.com/n1k0/tooty) - An experimental multi-account Mastodon Web client written in Elm.
* [Mustor](https://itunes.apple.com/app/id1229531204) - An iOS app for Mastodon.
* [toot](https://github.com/ihabunek/toot) - A Mastodon CLI client (Python).
* [madonctl](https://github.com/McKael/madonctl) - A Mastodon CLI client (Go).
* [naumanni](https://github.com/naumanni/naumanni) - A web user interface specially designed for Mastodon.

## Tools

* [Mastodon instances](https://instances.social/list) - A list of Mastodon instances.
* [Mastodon bridge](https://mastodon-bridge.herokuapp.com/) - Find your Twitter friends in the federated Mastodon network. As long as your friends have signed on here with both accounts, you can find them.
* [unmung.com/mastoview](http://www.unmung.com/mastoview) - Preview the local or federated timeline of any instance.
* [Toot scheduler](https://scheduler.mastodon.tools/) - Schedule now, toot later!
* [Mastodon Network Monitoring (MNM)](https://dashboards.mnm.social/) - Track and display browsable stats about the Mastodon network.
* [Radar](http://radar.amberstone.digital/) - A project to map out the Fediverse.

## User styles

* [Variable width](https://userstyles.org/styles/139721/mastodon-variable-width) - Makes Mastodon scale with the browser's width.
* [Narrow drawer](https://userstyles.org/styles/141457/mastodon-dynamic-wide-columns-narrow-drawer) - With the variable width style, makes the drawer narrower and the other columns scale accordingly.

## User scripts

* [NSFW Remover](https://greasyfork.org/fr/scripts/29228-mastodon-nsfw-remover) - Automatically display NSFW images.
* [Customizable interface](https://openuserjs.org/scripts/bl00m/Mastodon_Customizable_Interface) - Move and resize columns on a grid.

## Bots

* [feed2toot](https://gitlab.com/chaica/feed2toot) - Automatically parses rss feeds, identifies new posts and posts them on Mastodon (Python).
* [usercount](https://github.com/josefkenny/usercount) - A bot which posts user statistics to Mastodon (Python).
* [autofollow](https://github.com/gled-rs/mastodon-autofollow) - An autofollow bot for Mastodon (Python).
* [hnbot](https://github.com/raymestalez/mastodon-hnbot) - Posts the Hacker News stories with 100+ points (Python).
* [translator](https://christopher.su/projects/translator/) - Translate any toot into the desired language using `@translator@toot.works [langcode]`.
* [@TrendingBot@mastodon.social](https://mastodon.social/@TrendingBot) - Shows you what's trending on Mastodon.
* [Boost](https://gitlab.com/chaica/boost) - Automatically boosts toots from users (Python)

## News & magazines bots

Please note: most of them are non-official. Also, we do not *recommend* any, they are just listed here for your information.

### English

* [@arstechnica@social.undernet.uy](https://social.undernet.uy/arstechnica) - Ars Technica
* [@bbc@social.undernet.uy](https://social.undernet.uy/bbc) - BBC
* [@fsf@status.fsf.org](https://status.fsf.org/fsf) - FSF Free Software Foundation
* [@guardian@social.undernet.uy](https://social.undernet.uy/guardian) - Guardian
* [@HackerNewsBot@mastodon.social](https://mastodon.social/@HackerNewsBot) - Hacker News
* [@nasa@apoil.org](https://apoil.org/@nasa) - NASA
* [@newsstream@quitter.im](https://quitter.im/newsstream) - NewsStream
* [@openrightsgroupbot@mastodon.blue](https://mastodon.blue/@openrightsgroupbot) - Open Rights Group
* [@theverge@social.undernet.uy](https://social.undernet.uy/theverge) - The Verge
* [@intercept@social.undernet.uy](https://social.undernet.uy/intercept) - The Intercept
* [@wired@social.undernet.uy](https://social.undernet.uy/wired) - Wired
* [@btc@framapiaf.org](https://framapiaf.org/@btc) - News about the Bitcoin Cryptocurrency (marketcap, community, rise/drop alerts)
* [@ethereum@framapiaf.org](https://framapiaf.org/@ethereum) - News about the Ethereum Cryptocurrency (marketcap, community, rise/drop alerts)
* [@monero@framapiaf.org](https://framapiaf.org/@monero) - News about the Monero Cryptocurrency (marketcap, community, rise/drop alerts)

### Français

* [@BFMTV@mastodon.social](https://mastodon.social/@BFMTV) - BFMTV
* [@courrierinter@mastodon.xyz](https://mastodon.xyz/@courrierinter) - Courrier international
* [@artefr@mamot.fr](https://mamot.fr/@artefr) - Arte
* [@datagueule@framapiaf.org](https://framapiaf.org/@datagueule) - DATA Gueule
* [@letemps@mastodon.blue](https://mastodon.blue/@letemps) - Le Temps
* [@lemondebot@mastodon.xyz](https://mastodon.xyz/@lemondebot) - Le Monde
* [@libe@mamot.fr](https://mamot.fr/@libe) - Libération
* [@lecanardenchaine@mamot.fr](https://mamot.fr/@lecanardenchaine) - Le Canard Enchaîné
* [@lefigaro@mastodon.xyz](https://mastodon.xyz/@lefigaro) - Le Figaro
* [@le_gorafi@apoil.org](https://apoil.org/@le_gorafi) - Le Gorafi
* [@lesjoursfr@mamot.fr](https://mamot.fr/@lesjoursfr) - Les Jours
* [@mdiplo@mamot.fr](https://mamot.fr/@mdiplo) - Le Monde Diplomatique
* [@Mediapart@mastodon.social](https://mastodon.social/@Mediapart) - Mediapart officiel (non actif)
* [@mediapartbot@mastodon.xyz](https://mastodon.xyz/@mediapartbot) - Mediapart bot actif
* [@NextInpact@mamot.fr](https://mamot.fr/@NextInpact) - NextInpact
* [@numerama@social.numerama.com](https://social.numerama.com/@numerama) - Numerama
* [@reflets@mastodon.social](https://mastodon.social/@reflets) - Reflets.info
* [@rtsinfobot@mastodon.blue](https://mastodon.blue/@rtsinfobot) - RTS Info
* [@TV5Monde@mamot.fr](https://mamot.fr/@TV5Monde) - TV5 Monde
* [@tedtalks@3.nu](https://3.nu/@tedtalks) - TED Talks
* [@sciencesetavenirbot@3.nu](https://3.nu/@sciencesetavenir) - Sciences et Avenir

## Associations

### English

* [@torproject@mastodon.social](https://mastodon.social/@torproject) - Tor Project

### Français

* [@aprilorg@pouet.april.org](https://pouet.april.org/@aprilorg) - APRIL
* [@Attac@mamot.fr](https://mamot.fr/@Attac) - Attac France
* [@acrimed@mamot.fr](https://mamot.fr/@acrimed) - Acrimed
* [@framasoft@framapiaf.org](https://framapiaf.org/@Framasoft) - Framasoft
* [@LaQuadrature@mamot.fr](https://mamot.fr/@LaQuadrature) - La Quadrature du Net

## Blogs

### English

* [@rms@gnusocial.no](https://gnusocial.no/rms) - Richard M. Stallman
* [@xkcd@social.undernet.uy](https://social.undernet.uy/xkcd) - XKCD

### Français
* [@epenser@apoil.org](https://apoil.org/@epenser) - Bruce Benamran / epenser
* [@commitstrip@framapiaf.org](https://framapiaf.org/@commitstrip) - Commitstrip.fr
* [@FossoyeurDeFilms@friends.nico](https://friends.nico/@FossoyeurdeFilms) - Fossoyeur de Films
* [@HygieneMentale@oc.todon.fr](https://oc.todon.fr/@HygieneMentale) - Hygiène Mentale
* [@journalduhacker@framapiaf.org](https://framapiaf.org/@journalduhacker) - Journal du Hacker
* [@korbenbot@mastodon.xyz](https://mastodon.xyz/@korbenbot) - Korben (bot)
* [@MinutePapillon@friends.nico](https://friends.nico/@MinutePapillon) - Kriss / Minute Papillon

## Librairies

* [Mastodon.py](https://github.com/halcy/Mastodon.py) - Python wrapper for the Mastodon API.

## License

[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](https://creativecommons.org/publicdomain/zero/1.0/)
